package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 按天统计 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaHoursStatisticsDao;
import com.heyu.api.data.entity.calca.CalcaHoursStatisticsEntity;
import com.heyu.api.data.service.calca.CalcaHoursStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaHoursStatisticsServiceImpl extends ServiceImpl<CalcaHoursStatisticsDao, CalcaHoursStatisticsEntity> implements CalcaHoursStatisticsService {


    @Autowired
	private CalcaHoursStatisticsDao calcaHoursStatisticsDao;



	@Override
	public CalcaHoursStatisticsEntity selectCalcaHoursStatisticsById(Long id){
		return calcaHoursStatisticsDao.selectCalcaHoursStatisticsById(id);
	}



	@Override
	public Long insertCalcaHoursStatistics(CalcaHoursStatisticsEntity calcaHoursStatistics){
		return calcaHoursStatisticsDao.insertCalcaHoursStatistics(calcaHoursStatistics);
	}



	@Override
	public Long insertOrUpdateCalcaHoursStatistics(CalcaHoursStatisticsEntity calcaHoursStatistics){
		return calcaHoursStatisticsDao.insertOrUpdateCalcaHoursStatistics(calcaHoursStatistics);
	}



	@Override
	public int updateCalcaHoursStatisticsById(CalcaHoursStatisticsEntity calcaHoursStatistics){
		return calcaHoursStatisticsDao.updateCalcaHoursStatisticsById(calcaHoursStatistics);
	}



	@Override
	public int updateCoverCalcaHoursStatisticsById(CalcaHoursStatisticsEntity calcaHoursStatistics){
		return calcaHoursStatisticsDao.updateCoverCalcaHoursStatisticsById(calcaHoursStatistics);
	}



	@Override
	public int deleteCalcaHoursStatisticsById(Long id){
		return calcaHoursStatisticsDao.deleteCalcaHoursStatisticsById(id);
	}



}
